Bug 73106 - There needs to be an easy way to install new fonts.
There needs to be an easy way to install new fonts.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: fontconfig (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 16:16 EDT by Hamilton Leeper
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hamilton Leeper 2002-08-30 16:16:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
The font configuration program in GNOME is very nice, but it needs to have the
ability to graphically install new fonts, and to configure which font sizes are
to be anti-aliased.  Most new users would find it difficult to copy their fonts
with the terminal to /usr/X11R6/lib/X11/fonts/truetype and then run mkfontdir
and so on just to install their fonts.  I'm sure this would be easy to implement
since all it would have to do would be to copy the fonts and run a few terminal
commands when you hit a button.  Another nice feature to add would be to let the
user decide which point sizes to anti-alias, since some fonts look blurry at
small point sizes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run the GNOME font config
2. Try to install new fonts.  You can't
3. This needs to be implemented eventually!
	

Additional info:
Comment 1 Owen Taylor 2002-08-30 16:51:30 EDT
Reasonable future request; though note that *all* you should
have to do to install fonts is create ~/.fonts and copy 
your fonts to there.
Comment 2 Owen Taylor 2003-01-14 17:26:24 EST
Current packages contain "fontilus" which provides fonts: to browse
current fonts or install new ones. There is/will be a button in 
gnome-font-properties to open a nautilus window in the right place.

I don't know if we have any plan for handling systemwide font 
installation through the GUI.


Comment 3 Owen Taylor 2003-01-14 17:30:08 EST
<jrb> owen: not system wide; fontilus just copies the file to ~/.fonts
<owen> jrb: Idea - we have a fonts-system: URL which omits ~/.fonts and dropping
into that invokes a user-helpered helper
<jrb> owen: should be easy enough;  not easily discoverable
<owen> jrb: Hmm, I guess you'd want it to also user the user-helpered helper for
delete as well
<owen> jrb: Well, we could put a desktop file for it in the menu system...
Comment 4 Chan Min Wai 2003-02-26 06:41:03 EST
There is a Problem on adding non English Fonts as well
The /etc/rc.d/init.d/xfs seem to rebuild the fonts.dir every time it start. This
is good for automatically Adding fonts.
So the easy way to add fonts is to copy your fonts to some of the fonts dir that
listed by chkfontdir. But this is not going to be happen on double-byte fonts.
Bug 85185
Comment 5 Matthias Clasen 2005-04-21 23:05:37 EDT
We have a button to go to fonts: now, although it is hidden in the details
subdialog.

Should this be closed, or do we still consider adding UI for systemwide font
installation ?
Comment 6 Bill Nottingham 2006-08-07 15:56:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 13:14:01 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.